<template>
	<view class="app">
		<view class="title">
			诊断结果：
		</view>
		<view class="text">
			{{list.evaluateResult}}
		</view>
		<view class="title" v-if="content">
			健康处方：
		</view>
		<view class="text" v-if="content">
			<u-parse :html="content"></u-parse>
		</view>
	</view>
</template>

<script>
	import {
		templateget
	} from '@/api/questionnaire/index.js'
	export default {
		data() {
			return {
				content: null,
				list: {}
			};
		},
		methods: {
			info(code) {
				templateget(code).then(res => {
					let arr = res.data.content.split("");
					this.content = arr.map((item) => {
						return item === "\n" ? "<br>" : item
					}).join("")
				})
			},
		},
		onLoad(options) {
			this.list = JSON.parse(decodeURIComponent(options.list))
			if (options.truelistlength > 0) {
				this.info(options.code)
			}
		}
	}
</script>

<style lang="scss">
	.app {
		width: 96%;
		margin: 20rpx auto;
		background-color: #fff;

		.text {
			padding: 20rpx 20rpx 40rpx;
		}

		.title {
			width: 94%;
			margin: 0 auto;
			border-bottom: 2rpx solid #C1C1C1;
			font-size: 28rpx;
			color: #333333;
			line-height: 80rpx;
		}
	}
</style>